# XQilla Simple API Documentation

# FastXDMConfiguration Class Reference

`#include <FastXDMConfiguration.hpp>`

Inheritance diagram for FastXDMConfiguration:
[legend]

List of all members.

## Public Member Functions

virtual DocumentCache * | createDocumentCache (xercesc::MemoryManager *memMgr)
virtual SequenceBuilder * | createSequenceBuilder (const DynamicContext *context)
virtual ItemFactory * | createItemFactory (DocumentCache *cache, xercesc::MemoryManager *memMgr)
virtual UpdateFactory * | createUpdateFactory (xercesc::MemoryManager *memMgr)
virtual URIResolver * | createDefaultURIResolver (xercesc::MemoryManager *memMgr)
virtual ASTToXML * | createASTToXML ()

## Member Function Documentation

virtual ASTToXML* FastXDMConfiguration::createASTToXML | ( |  | ) | `[virtual]`

Implements XQillaConfiguration.

virtual URIResolver* FastXDMConfiguration::createDefaultURIResolver | ( | xercesc::MemoryManager * | memMgr | ) | `[virtual]`

Implements XQillaConfiguration.

virtual DocumentCache* FastXDMConfiguration::createDocumentCache | ( | xercesc::MemoryManager * | memMgr | ) | `[virtual]`

Implements XQillaConfiguration.

virtual ItemFactory* FastXDMConfiguration::createItemFactory | ( | DocumentCache * | cache,
|  | xercesc::MemoryManager * | memMgr |
| ) |  |  | `[virtual]`

Implements XQillaConfiguration.

virtual SequenceBuilder* FastXDMConfiguration::createSequenceBuilder | ( | const DynamicContext * | context | ) | `[virtual]`

Implements XQillaConfiguration.

virtual UpdateFactory* FastXDMConfiguration::createUpdateFactory | ( | xercesc::MemoryManager * | memMgr | ) | `[virtual]`

Implements XQillaConfiguration.

The documentation for this class was generated from the following file:

- FastXDMConfiguration.hpp